tempdir=`dirname $0`

echo "Checking OS ..."

if [ ! -f "/etc/miraclelinux-release" ] ; then
    echo "It is not a valid platform to run this script."
    echo
    exit 1
fi

grep -q "MIRACLE LINUX V3.0 (mars)" "/etc/miraclelinux-release"
if [ $? -ne 0 ] ; then
    echo "It is not a valid platform to run this script."
    echo
    exit 1
fi

echo "os:  MIRACLE LINUX V3.0 for x86-64"

echo "Checking whether rpm.i386 package is installed or not..."
num=`rpm -q rpm.i386 2> /dev/null | wc -l`
if [ $num -eq 0 ] ; then
    echo "rpm.i386 not installed in the system."
    echo "Nothing have to be done, terminating the script."
    echo
    exit 0
else
    echo "rpm.i386 found in the system."
    echo "Deleting rpm.i386 ..."
    rpm -e rpm.i386
    if [ $? -ne 0 ]; then
	echo "Failed to delete the package."
 	echo "Please resolve the problem and try again."
	echo
	exit 1
    fi
    if [ -f "$tempdir/macros" ] ; then
	echo "Restoring /usr/lib/rpm/macros file ..."
	cp -f "$tempdir/macros" "/usr/lib/rpm/macros"
	echo "Restored successfully."
	echo
	exit 0
    else
	echo "RPM macro file missing."
	echo "Please put it back in $tempdir."
	echo
	exit 1
    fi
fi
